RDKit: RDKit::RGroupDecompositionChromosome Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RGroupDecompositionChromosome Class Reference

`#include <RGroupGa.h>`

Inheritance diagram for RDKit::RGroupDecompositionChromosome:

## Public Member Functions
| RGroupDecompositionChromosome (RGroupGa &rGroupGa)
double | getFitness () const
OperationName | getOperationName () const
void | setOperationName (OperationName operationName)
std::string | info () const
double | score ()
double | recalculateScore ()
bool | isOk ()
void | decode ()
void | copyGene (const StringChromosomeBase &other) override
FingerprintVarianceScoreData & | getFingerprintVarianceScoreData ()
const vector< size_t > & | getPermutation () const
const RGroupGa & | getRGroupGA () const

## Detailed Description

Definition at line 45 of file RGroupGa.h.

## Constructor & Destructor Documentation

## ◆ RGroupDecompositionChromosome()

RDKit::RGroupDecompositionChromosome::RGroupDecompositionChromosome | ( | RGroupGa & | rGroupGa | ) |

## Member Function Documentation

## ◆ copyGene()

void RDKit::RGroupDecompositionChromosome::copyGene | ( | const StringChromosomeBase & | other | ) |
| override

## ◆ decode()

void RDKit::RGroupDecompositionChromosome::decode | ( |  | ) |

## ◆ getFingerprintVarianceScoreData()

FingerprintVarianceScoreData & RDKit::RGroupDecompositionChromosome::getFingerprintVarianceScoreData | ( |  | ) |
| inline

Definition at line 69 of file RGroupGa.h.

## ◆ getFitness()

double RDKit::RGroupDecompositionChromosome::getFitness | ( |  | ) | const
| inline

Definition at line 49 of file RGroupGa.h.

## ◆ getOperationName()

OperationName RDKit::RGroupDecompositionChromosome::getOperationName | ( |  | ) | const
| inline

Definition at line 51 of file RGroupGa.h.

## ◆ getPermutation()

const vector< size_t > & RDKit::RGroupDecompositionChromosome::getPermutation | ( |  | ) | const
| inline

Definition at line 73 of file RGroupGa.h.

## ◆ getRGroupGA()

const RGroupGa & RDKit::RGroupDecompositionChromosome::getRGroupGA | ( |  | ) | const
| inline

Definition at line 75 of file RGroupGa.h.

## ◆ info()

std::string RDKit::RGroupDecompositionChromosome::info | ( |  | ) | const

## ◆ isOk()

bool RDKit::RGroupDecompositionChromosome::isOk | ( |  | ) |
| inline

Definition at line 63 of file RGroupGa.h.

## ◆ recalculateScore()

double RDKit::RGroupDecompositionChromosome::recalculateScore | ( |  | ) |

## ◆ score()

double RDKit::RGroupDecompositionChromosome::score | ( |  | ) |

## ◆ setOperationName()

void RDKit::RGroupDecompositionChromosome::setOperationName | ( | OperationName | operationName | ) |
| inline

Definition at line 53 of file RGroupGa.h.

The documentation for this class was generated from the following file:

- RGroupGa.h